/*
 * timer_ctrl.h
 *
 *  Created on: 23.02.2013
 *      Author: Pski
 */

#ifndef TIMER_CTRL_H_
#define TIMER_CTRL_H_

/**
 * Start timer1 in normal mode
 */
void timer1_start_normal();
/**
 * Stop timer1
 */
void timer1_stop();
/**
 * Stop timer1 from ctc mode
 */
void timer1_stop_ctc();
/**
 * Start timer1 in ctc mode and load the output compare register (OCR1A)
 */
void timer1_start_ctc(uint16_t cmp);


#endif /* TIMER_CTRL_H_ */
