/*
 * int_ctrl.h
 *
 *  Created on: 23.02.2013
 *      Author: Pski
 */

#ifndef INT_CTRL_H_
#define INT_CTRL_H_

/**
 * Select falling edge for INT1 pin
 */
void int1_switch_falling_edge(void);
/**
 * Select rising edge for INT1 pin
 */
void int1_switch_rising_edge(void);
/**
 *  trigger on falling edge for INT1
 */
void int1_select_falling_edge();
/**
 * Turn INT1 off
 */
void int1_enable(void);
/**
 * Turn INT1 on
 */
void int1_disable(void);


#endif /* INT_CTRL_H_ */
